{
  "x-generator": "NSwag v14.7.1.0 (NJsonSchema v11.6.1.0 (Newtonsoft.Json v13.0.0.0))",
  "swagger": "2.0",
  "info": {
    "title": "Loop API",
    "description": "Interactive interface for Loop API<br>Loop API/InTheLoop 15.00.00.42840 stable 23d1edfb 2026-11-02 11:40:58 +0100",
    "version": "v1"
  },
  "host": "api.intheloop.io",
  "schemes": [
    "https"
  ],
  "paths": {
    "/api": {
      "head": {
        "tags": [
          "Home"
        ],
        "summary": "HEAD",
        "operationId": "Home_Head",
        "produces": [
          "text/plain",
          "application/json; charset=utf-8"
        ],
        "responses": {
          "200": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "type": "array",
              "items": {
                "type": "string"
              }
            }
          }
        },
        "security": [
          {
            "access_token": []
          }
        ]
      },
      "options": {
        "tags": [
          "Home"
        ],
        "summary": "OPTIONS",
        "operationId": "Home_Options",
        "responses": {
          "200": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/Options"
            }
          }
        },
        "security": [
          {
            "access_token": []
          }
        ]
      },
      "get": {
        "tags": [
          "Home"
        ],
        "summary": "GET",
        "operationId": "Home_Get",
        "produces": [
          "text/plain",
          "application/json; charset=utf-8"
        ],
        "responses": {
          "200": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "type": "array",
              "items": {
                "type": "string"
              }
            }
          }
        },
        "security": [
          {
            "access_token": []
          }
        ]
      }
    },
    "/api/modifiedSwagger": {
      "get": {
        "tags": [
          "Home"
        ],
        "summary": "GET modifiedSwagger",
        "operationId": "Home_GetModifiedSwagger",
        "responses": {
          "200": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "type": "file"
            }
          }
        },
        "security": [
          {
            "access_token": []
          }
        ]
      }
    },
    "/api/v1/activity": {
      "get": {
        "tags": [
          "Activity"
        ],
        "summary": "Get the cross-channel activity timeline for a profile or company within an optional time span",
        "operationId": "Activity_GetActivityTimeline",
        "parameters": [
          {
            "type": "string",
            "name": "id",
            "in": "query",
            "description": "Id of the profile or company whose activity to retrieve.",
            "x-nullable": true
          },
          {
            "type": "integer",
            "name": "size",
            "in": "query",
            "description": "Maximum number of events to return (default 20, max 100).",
            "format": "int32",
            "default": 20,
            "x-nullable": false
          },
          {
            "type": "string",
            "name": "dateTimeStart",
            "in": "query",
            "description": "Start of the time span (inclusive, UTC). When omitted, no lower limit is applied.",
            "format": "date-time",
            "x-nullable": true
          },
          {
            "type": "string",
            "name": "dateTimeEnd",
            "in": "query",
            "description": "End of the time span (UTC). When omitted, defaults to now.",
            "format": "date-time",
            "x-nullable": true
          },
          {
            "type": "string",
            "name": "offsetHistoryId",
            "in": "query",
            "description": "Next page of events, taken from OffsetHistoryId of the previous response. When set, dateTimeStart and dateTimeEnd are ignored.",
            "x-nullable": true
          },
          {
            "type": "string",
            "name": "channelType",
            "in": "query",
            "description": "Channel type to filter by (e.g. \"messenger\"). Use \"commentMail\" to return only comments with no channel type set (traditional email). When omitted, all channel types are returned.",
            "x-nullable": true
          },
          {
            "type": "string",
            "name": "Authorization",
            "x-originalName": "authorization",
            "in": "header",
            "description": "Authorization header.",
            "x-nullable": true
          },
          {
            "type": "string",
            "name": "X-Impersonate-User",
            "x-originalName": "impersonatedUser",
            "in": "header",
            "description": "Impersonation header.",
            "x-nullable": true
          }
        ],
        "responses": {
          "200": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ActivityTimeline"
            }
          },
          "400": {
            "x-nullable": false,
            "description": "Bad request. Check fields message and error code from response body for additional information.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "401": {
            "x-nullable": false,
            "description": "Unauthorized request. Check fields message and error code from response body for additional information.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "403": {
            "x-nullable": false,
            "description": "Requested resource forbidden.Check fields message and error code from response body for additional information.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "404": {
            "x-nullable": false,
            "description": "Requested resource not found.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "429": {
            "x-nullable": false,
            "description": "Too many requests. Check response header Retry-After indicating how long to wait before making a new request.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "451": {
            "x-nullable": false,
            "description": "Unavailable because account is not verified.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          }
        },
        "security": [
          {
            "access_token": []
          }
        ]
      }
    },
    "/api/v1/activity/participants": {
      "get": {
        "tags": [
          "Activity"
        ],
        "summary": "Get the people who have been in touch with a profile or company, most recent first",
        "operationId": "Activity_GetActivityParticipants",
        "parameters": [
          {
            "type": "string",
            "name": "id",
            "in": "query",
            "description": "Id of the profile or company whose participants to retrieve.",
            "x-nullable": true
          },
          {
            "type": "integer",
            "name": "size",
            "in": "query",
            "description": "Maximum number of participants to return (default 5, max 100).",
            "format": "int32",
            "default": 5,
            "x-nullable": false
          },
          {
            "type": "string",
            "name": "dateTimeStart",
            "in": "query",
            "description": "Start of the time span (inclusive, UTC). When omitted, defaults to 7 days before dateTimeEnd.",
            "format": "date-time",
            "x-nullable": true
          },
          {
            "type": "string",
            "name": "dateTimeEnd",
            "in": "query",
            "description": "End of the time span (UTC). When omitted, defaults to now.",
            "format": "date-time",
            "x-nullable": true
          },
          {
            "type": "string",
            "name": "channelType",
            "in": "query",
            "description": "Channel type to filter by, same values as the activity timeline. When omitted, all channel types are included.",
            "x-nullable": true
          },
          {
            "type": "string",
            "name": "Authorization",
            "x-originalName": "authorization",
            "in": "header",
            "description": "Authorization header.",
            "x-nullable": true
          },
          {
            "type": "string",
            "name": "X-Impersonate-User",
            "x-originalName": "impersonatedUser",
            "in": "header",
            "description": "Impersonation header.",
            "x-nullable": true
          }
        ],
        "responses": {
          "200": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ActivityParticipants"
            }
          },
          "400": {
            "x-nullable": false,
            "description": "Bad request. Check fields message and error code from response body for additional information.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "401": {
            "x-nullable": false,
            "description": "Unauthorized request. Check fields message and error code from response body for additional information.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "403": {
            "x-nullable": false,
            "description": "Requested resource forbidden.Check fields message and error code from response body for additional information.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "404": {
            "x-nullable": false,
            "description": "Requested resource not found.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "429": {
            "x-nullable": false,
            "description": "Too many requests. Check response header Retry-After indicating how long to wait before making a new request.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "451": {
            "x-nullable": false,
            "description": "Unavailable because account is not verified.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          }
        },
        "security": [
          {
            "access_token": []
          }
        ]
      }
    },
    "/api/v1/appointment/{id}": {
      "get": {
        "tags": [
          "Appointment"
        ],
        "summary": "Get appointment by id.",
        "operationId": "Appointment_Get",
        "parameters": [
          {
            "type": "string",
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Card appointment id",
            "x-nullable": false
          },
          {
            "type": "string",
            "name": "authorizationCardId",
            "in": "query",
            "description": "Authorization card id",
            "x-nullable": true
          },
          {
            "type": "string",
            "name": "htmlFormat",
            "in": "query",
            "description": "HTML format of comment body",
            "x-nullable": true
          },
          {
            "type": "boolean",
            "name": "includeSignedLinks",
            "in": "query",
            "description": "Attachment includes signed links",
            "x-nullable": true
          },
          {
            "type": "string",
            "name": "Authorization",
            "x-originalName": "authorization",
            "in": "header",
            "description": "Authorization header",
            "x-nullable": true
          },
          {
            "type": "string",
            "name": "X-Impersonate-User",
            "x-originalName": "impersonatedUser",
            "in": "header",
            "description": "Impersonation header",
            "x-nullable": true
          }
        ],
        "responses": {
          "200": {
            "x-nullable": false,
            "description": "Appointment card",
            "schema": {
              "$ref": "#/definitions/CardAppointment"
            }
          },
          "400": {
            "x-nullable": false,
            "description": "Bad request. Check fields message and error code from response body for additional information.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "401": {
            "x-nullable": false,
            "description": "Unauthorized request. Check fields message and error code from response body for additional information.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "403": {
            "x-nullable": false,
            "description": "Requested resource forbidden.Check fields message and error code from response body for additional information.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "404": {
            "x-nullable": false,
            "description": "Requested resource not found.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "429": {
            "x-nullable": false,
            "description": "Too many requests. Check response header Retry-After indicating how long to wait before making a new request.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "451": {
            "x-nullable": false,
            "description": "Unavailable because account is not verified.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          }
        },
        "security": [
          {
            "access_token": []
          }
        ]
      },
      "delete": {
        "tags": [
          "Appointment"
        ],
        "summary": "Delete an appointment",
        "operationId": "Appointment_DeleteCardAppointment",
        "parameters": [
          {
            "type": "string",
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Appointment id.",
            "x-nullable": false
          },
          {
            "type": "string",
            "name": "contextId",
            "in": "query",
            "description": "Team ID is used to verify access and select Inbox account as creator.",
            "x-nullable": true
          },
          {
            "type": "string",
            "name": "Authorization",
            "x-originalName": "authorization",
            "in": "header",
            "description": "Authorization header",
            "x-nullable": true
          },
          {
            "type": "string",
            "name": "X-Impersonate-User",
            "x-originalName": "impersonatedUser",
            "in": "header",
            "description": "Impersonation header",
            "x-nullable": true
          }
        ],
        "responses": {
          "200": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/CardAppointment"
            }
          },
          "400": {
            "x-nullable": false,
            "description": "Bad request. Check fields message and error code from response body for additional information.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "401": {
            "x-nullable": false,
            "description": "Unauthorized request. Check fields message and error code from response body for additional information.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "429": {
            "x-nullable": false,
            "description": "Too many requests. Check response header Retry-After indicating how long to wait before making a new request.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "451": {
            "x-nullable": false,
            "description": "Unavailable because account is not verified.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          }
        },
        "security": [
          {
            "access_token": []
          }
        ]
      }
    },
    "/api/v1/appointment": {
      "post": {
        "tags": [
          "Appointment"
        ],
        "summary": "Create new appointment",
        "operationId": "Appointment_CreateAppointment",
        "consumes": [
          "application/json",
          "application/*+json"
        ],
        "parameters": [
          {
            "name": "cardAppointment",
            "in": "body",
            "required": true,
            "description": "Card appointment object",
            "schema": {
              "$ref": "#/definitions/CardAppointment"
            },
            "x-nullable": false
          },
          {
            "type": "string",
            "name": "contextId",
            "in": "query",
            "description": "Team ID is used to verify access and select Inbox account as creator.",
            "x-nullable": true
          },
          {
            "type": "string",
            "name": "Authorization",
            "x-originalName": "authorization",
            "in": "header",
            "description": "Authorization header",
            "x-nullable": true
          },
          {
            "type": "string",
            "name": "X-Impersonate-User",
            "x-originalName": "impersonatedUser",
            "in": "header",
            "description": "Impersonation header",
            "x-nullable": true
          }
        ],
        "responses": {
          "201": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/CardAppointment"
            }
          },
          "400": {
            "x-nullable": false,
            "description": "Bad request. Check fields message and error code from response body for additional information.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "401": {
            "x-nullable": false,
            "description": "Unauthorized request. Check fields message and error code from response body for additional information.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "429": {
            "x-nullable": false,
            "description": "Too many requests. Check response header Retry-After indicating how long to wait before making a new request.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "451": {
            "x-nullable": false,
            "description": "Unavailable because account is not verified.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          }
        },
        "security": [
          {
            "access_token": []
          }
        ]
      },
      "put": {
        "tags": [
          "Appointment"
        ],
        "summary": "Update an appointment",
        "operationId": "Appointment_UpdateCardAppointment",
        "consumes": [
          "application/json",
          "application/*+json"
        ],
        "parameters": [
          {
            "name": "cardAppointment",
            "in": "body",
            "required": true,
            "description": "Card appointment object",
            "schema": {
              "$ref": "#/definitions/CardAppointment"
            },
            "x-nullable": false
          },
          {
            "type": "string",
            "name": "contextId",
            "in": "query",
            "description": "Team ID is used to verify access and select Inbox account as creator.",
            "x-nullable": true
          },
          {
            "type": "string",
            "name": "Authorization",
            "x-originalName": "authorization",
            "in": "header",
            "description": "Authorization header",
            "x-nullable": true
          },
          {
            "type": "string",
            "name": "X-Impersonate-User",
            "x-originalName": "impersonatedUser",
            "in": "header",
            "description": "Impersonation header",
            "x-nullable": true
          }
        ],
        "responses": {
          "200": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/CardAppointment"
            }
          },
          "400": {
            "x-nullable": false,
            "description": "Bad request. Check fields message and error code from response body for additional information.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "401": {
            "x-nullable": false,
            "description": "Unauthorized request. Check fields message and error code from response body for additional information.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "429": {
            "x-nullable": false,
            "description": "Too many requests. Check response header Retry-After indicating how long to wait before making a new request.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "451": {
            "x-nullable": false,
            "description": "Unavailable because account is not verified.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          }
        },
        "security": [
          {
            "access_token": []
          }
        ]
      }
    },
    "/api/v1/appointment/list": {
      "get": {
        "tags": [
          "Appointment"
        ],
        "summary": "Get appointment cards sorted by date time (agenda view).\nInclude self context in contextList by adding \"me\". This also works with allTeamContexts option.\nLeaving contextList and allTeamContexts empty will fetch own context.",
        "operationId": "Appointment_GetAgendaList",
        "parameters": [
          {
            "type": "integer",
            "name": "offset",
            "in": "query",
            "description": "Requested page offset.",
            "format": "int32",
            "x-nullable": false
          },
          {
            "type": "integer",
            "name": "size",
            "in": "query",
            "description": "Requested page size.",
            "format": "int32",
            "x-nullable": false
          },
          {
            "type": "string",
            "name": "dateTimeStart",
            "in": "query",
            "description": "Minimum start date time of appointment",
            "format": "date-time",
            "x-nullable": false
          },
          {
            "type": "array",
            "name": "contextList",
            "in": "query",
            "description": "Get appointments for specified contexts.",
            "collectionFormat": "multi",
            "x-nullable": true,
            "items": {
              "type": "string"
            }
          },
          {
            "type": "boolean",
            "name": "allTeamContexts",
            "in": "query",
            "description": "Get appointments for all team contexts.",
            "default": false,
            "x-nullable": false
          },
          {
            "type": "string",
            "name": "dateTimeEnd",
            "in": "query",
            "description": "Maximum end time of appointment (if not defined you get all appointments from dateTimeStart onwards)",
            "format": "date-time",
            "x-nullable": true
          },
          {
            "type": "string",
            "name": "htmlFormat",
            "in": "query",
            "description": "HTML format of comment body.",
            "x-nullable": true
          },
          {
            "type": "string",
            "name": "Authorization",
            "x-originalName": "authorization",
            "in": "header",
            "description": "Authorization header.",
            "x-nullable": true
          },
          {
            "type": "string",
            "name": "X-Impersonate-User",
            "x-originalName": "impersonatedUser",
            "in": "header",
            "description": "Impersonation header.",
            "x-nullable": true
          }
        ],
        "responses": {
          "200": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ListOfResourcesOfCardAppointment"
            }
          },
          "400": {
            "x-nullable": false,
            "description": "Bad request. Check fields message and error code from response body for additional information.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "401": {
            "x-nullable": false,
            "description": "Unauthorized request. Check fields message and error code from response body for additional information.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "429": {
            "x-nullable": false,
            "description": "Too many requests. Check response header Retry-After indicating how long to wait before making a new request.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "451": {
            "x-nullable": false,
            "description": "Unavailable because account is not verified.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          }
        },
        "security": [
          {
            "access_token": []
          }
        ]
      }
    },
    "/api/v1/appointment/list/settings": {
      "get": {
        "tags": [
          "Appointment"
        ],
        "summary": "Get agenda settings and options (list available online meeting providers)",
        "operationId": "Appointment_GetAgendaSettingsList",
        "parameters": [
          {
            "type": "array",
            "name": "contextList",
            "in": "query",
            "description": "Get appointments for specified contexts.",
            "collectionFormat": "multi",
            "x-nullable": true,
            "items": {
              "type": "string"
            }
          },
          {
            "type": "boolean",
            "name": "allTeamContexts",
            "in": "query",
            "description": "Get appointments for all team contexts.",
            "default": false,
            "x-nullable": false
          },
          {
            "type": "string",
            "name": "Authorization",
            "x-originalName": "authorization",
            "in": "header",
            "description": "Authorization header.",
            "x-nullable": true
          },
          {
            "type": "string",
            "name": "X-Impersonate-User",
            "x-originalName": "impersonatedUser",
            "in": "header",
            "description": "Impersonation header.",
            "x-nullable": true
          }
        ],
        "responses": {
          "200": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ListOfResourcesOfAgendaSettings"
            }
          },
          "400": {
            "x-nullable": false,
            "description": "Bad request. Check fields message and error code from response body for additional information.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "401": {
            "x-nullable": false,
            "description": "Unauthorized request. Check fields message and error code from response body for additional information.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "429": {
            "x-nullable": false,
            "description": "Too many requests. Check response header Retry-After indicating how long to wait before making a new request.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "451": {
            "x-nullable": false,
            "description": "Unavailable because account is not verified.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          }
        },
        "security": [
          {
            "access_token": []
          }
        ]
      }
    },
    "/api/v1/appointment/{id}/response": {
      "put": {
        "tags": [
          "Appointment"
        ],
        "summary": "Update appointment response for appointment card",
        "operationId": "Appointment_UpdateAppointmentResponse",
        "consumes": [
          "application/json",
          "application/*+json"
        ],
        "parameters": [
          {
            "type": "string",
            "name": "id",
            "in": "path",
            "required": true,
            "description": "Card id",
            "x-nullable": false
          },
          {
            "name": "appointmentResponse",
            "in": "body",
            "required": true,
            "description": "Appointment response object",
            "schema": {
              "$ref": "#/definitions/AppointmentResponse"
            },
            "x-nullable": false
          },
          {
            "type": "string",
            "name": "Authorization",
            "x-originalName": "authorization",
            "in": "header",
            "description": "Authorization header",
            "x-nullable": true
          },
          {
            "type": "string",
            "name": "X-Impersonate-User",
            "x-originalName": "impersonatedUser",
            "in": "header",
            "description": "Impersonation header",
            "x-nullable": true
          }
        ],
        "responses": {
          "200": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/AppointmentResponse"
            }
          },
          "400": {
            "x-nullable": false,
            "description": "Bad request. Check fields message and error code from response body for additional information.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "401": {
            "x-nullable": false,
            "description": "Unauthorized request. Check fields message and error code from response body for additional information.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "403": {
            "x-nullable": false,
            "description": "Requested resource forbidden.Check fields message and error code from response body for additional information.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "409": {
            "x-nullable": false,
            "description": "Request failed due to conflict resource state.Check fields message and error code from response body for additional information.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "429": {
            "x-nullable": false,
            "description": "Too many requests. Check response header Retry-After indicating how long to wait before making a new request.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "451": {
            "x-nullable": false,
            "description": "Unavailable because account is not verified.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          }
        },
        "security": [
          {
            "access_token": []
          }
        ]
      }
    },
    "/api/v1/auth/exchange": {
      "post": {
        "tags": [
          "Auth"
        ],
        "summary": "Send authorization request for MS Exchange account.",
        "operationId": "Auth_CreateExchangeAuth",
        "consumes": [
          "application/json",
          "application/*+json"
        ],
        "parameters": [
          {
            "name": "authExchange",
            "in": "body",
            "required": true,
            "description": "Exchange authorization",
            "schema": {
              "$ref": "#/definitions/AuthExchange"
            },
            "x-nullable": false
          },
          {
            "type": "boolean",
            "name": "isAddAccount",
            "in": "query",
            "description": "Parameter whether or not auth was posted through add account action",
            "default": false,
            "x-nullable": false
          },
          {
            "type": "string",
            "name": "loginPurpose",
            "in": "query",
            "description": "login purpose enum",
            "x-schema": {
              "$ref": "#/definitions/LoginPurpose"
            },
            "default": "Login",
            "x-nullable": false,
            "enum": [
              "Login",
              "SetSecret"
            ]
          }
        ],
        "responses": {
          "201": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/AuthExchange"
            }
          },
          "400": {
            "x-nullable": false,
            "description": "Bad request. Check fields message and error code from response body for additional information.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "401": {
            "x-nullable": false,
            "description": "Unauthorized request. Check fields message and error code from response body for additional information.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "429": {
            "x-nullable": false,
            "description": "Too many requests. Check response header Retry-After indicating how long to wait before making a new request.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          }
        },
        "security": [
          {
            "access_token": []
          }
        ]
      }
    },
    "/api/v1/auth/microsoftprofile": {
      "post": {
        "tags": [
          "Auth"
        ],
        "summary": "Get profile for MS Graph api account.",
        "operationId": "Auth_MicrosoftProfile",
        "consumes": [
          "application/json",
          "application/*+json"
        ],
        "parameters": [
          {
            "name": "authMicrosoft",
            "in": "body",
            "required": true,
            "description": "Microsoft authorization",
            "schema": {
              "$ref": "#/definitions/AuthMicrosoft"
            },
            "x-nullable": false
          }
        ],
        "responses": {
          "201": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/AuthMicrosoft"
            }
          },
          "400": {
            "x-nullable": false,
            "description": "Bad request. Check fields message and error code from response body for additional information.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "401": {
            "x-nullable": false,
            "description": "Unauthorized request. Check fields message and error code from response body for additional information.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "429": {
            "x-nullable": false,
            "description": "Too many requests. Check response header Retry-After indicating how long to wait before making a new request.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          }
        },
        "security": [
          {
            "access_token": []
          }
        ]
      }
    },
    "/api/v1/auth/microsoft": {
      "post": {
        "tags": [
          "Auth"
        ],
        "summary": "Send authorization request for MS Graph api account.",
        "operationId": "Auth_CreateMicrosoftAuth",
        "consumes": [
          "application/json",
          "application/*+json"
        ],
        "parameters": [
          {
            "name": "authMicrosoft",
            "in": "body",
            "required": true,
            "description": "Microsoft authorization",
            "schema": {
              "$ref": "#/definitions/AuthMicrosoft"
            },
            "x-nullable": false
          },
          {
            "type": "boolean",
            "name": "isAddAccount",
            "in": "query",
            "description": "Parameter whether or not auth was posted through add account action",
            "default": false,
            "x-nullable": false
          },
          {
            "type": "string",
            "name": "loginPurpose",
            "in": "query",
            "description": "login purpose enum",
            "x-schema": {
              "$ref": "#/definitions/LoginPurpose"
            },
            "default": "Login",
            "x-nullable": false,
            "enum": [
              "Login",
              "SetSecret"
            ]
          }
        ],
        "responses": {
          "201": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/AuthMicrosoft"
            }
          },
          "400": {
            "x-nullable": false,
            "description": "Bad request. Check fields message and error code from response body for additional information.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "401": {
            "x-nullable": false,
            "description": "Unauthorized request. Check fields message and error code from response body for additional information.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "429": {
            "x-nullable": false,
            "description": "Too many requests. Check response header Retry-After indicating how long to wait before making a new request.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          }
        },
        "security": [
          {
            "access_token": []
          }
        ]
      }
    },
    "/api/v1/auth/gmail": {
      "post": {
        "tags": [
          "Auth"
        ],
        "summary": "Send authorization request for gmail account.",
        "operationId": "Auth_CreateGmailAuth",
        "consumes": [
          "application/json",
          "application/*+json"
        ],
        "parameters": [
          {
            "name": "authGoogle",
            "in": "body",
            "required": true,
            "description": "Google authorization",
            "schema": {
              "$ref": "#/definitions/AuthGoogle"
            },
            "x-nullable": false
          },
          {
            "type": "boolean",
            "name": "isAddAccount",
            "in": "query",
            "description": "Parameter whether or not auth was posted through add account action",
            "default": false,
            "x-nullable": false
          },
          {
            "type": "string",
            "name": "loginPurpose",
            "in": "query",
            "description": "login purpose enum",
            "x-schema": {
              "$ref": "#/definitions/LoginPurpose"
            },
            "default": "Login",
            "x-nullable": false,
            "enum": [
              "Login",
              "SetSecret"
            ]
          }
        ],
        "responses": {
          "201": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/AuthGoogle"
            }
          },
          "400": {
            "x-nullable": false,
            "description": "Bad request. Check fields message and error code from response body for additional information.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "401": {
            "x-nullable": false,
            "description": "Unauthorized request. Check fields message and error code from response body for additional information.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "429": {
            "x-nullable": false,
            "description": "Too many requests. Check response header Retry-After indicating how long to wait before making a new request.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          }
        },
        "security": [
          {
            "access_token": []
          }
        ]
      }
    },
    "/api/v1/auth/gmailprofile": {
      "post": {
        "tags": [
          "Auth"
        ],
        "summary": "Send authorization request for gmail account.",
        "operationId": "Auth_ProfileGmail",
        "consumes": [
          "application/json",
          "application/*+json"
        ],
        "parameters": [
          {
            "name": "authGoogle",
            "in": "body",
            "required": true,
            "description": "Google authorization",
            "schema": {
              "$ref": "#/definitions/AuthGoogle"
            },
            "x-nullable": false
          }
        ],
        "responses": {
          "200": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/UserEmailInfo"
            }
          },
          "400": {
            "x-nullable": false,
            "description": "Bad request. Check fields message and error code from response body for additional information.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "401": {
            "x-nullable": false,
            "description": "Unauthorized request. Check fields message and error code from response body for additional information.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "429": {
            "x-nullable": false,
            "description": "Too many requests. Check response header Retry-After indicating how long to wait before making a new request.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          }
        },
        "security": [
          {
            "access_token": []
          }
        ]
      }
    },
    "/api/v1/auth/tokenCode": {
      "post": {
        "tags": [
          "Auth"
        ],
        "summary": "Send authorization request with code exchange.",
        "operationId": "Auth_CreateTokenCodeAuth",
        "consumes": [
          "application/json",
          "application/*+json"
        ],
        "parameters": [
          {
            "name": "authCode",
            "in": "body",
            "required": true,
            "description": "Code authorization",
            "schema": {
              "$ref": "#/definitions/AuthCode"
            },
            "x-nullable": false
          },
          {
            "type": "boolean",
            "name": "isAddAccount",
            "in": "query",
            "description": "Parameter whether or not auth was posted through add account action",
            "default": false,
            "x-nullable": false
          },
          {
            "type": "string",
            "name": "otpCode",
            "in": "query",
            "x-nullable": true
          }
        ],
        "responses": {
          "201": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/AuthCode"
            }
          },
          "400": {
            "x-nullable": false,
            "description": "Bad request. Check fields message and error code from response body for additional information.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "401": {
            "x-nullable": false,
            "description": "Unauthorized request. Check fields message and error code from response body for additional information.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "429": {
            "x-nullable": false,
            "description": "Too many requests. Check response header Retry-After indicating how long to wait before making a new request.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          }
        },
        "security": [
          {
            "access_token": []
          }
        ]
      }
    },
    "/api/v1/auth/imap": {
      "post": {
        "tags": [
          "Auth"
        ],
        "summary": "Send authorization request for IMAP account.",
        "operationId": "Auth_CreateImapAuth",
        "consumes": [
          "application/json",
          "application/*+json"
        ],
        "parameters": [
          {
            "name": "authImapSmtp",
            "in": "body",
            "required": true,
            "description": "Exchange authorization",
            "schema": {
              "$ref": "#/definitions/AuthImapSmtp"
            },
            "x-nullable": false
          },
          {
            "type": "boolean",
            "name": "isAddAccount",
            "in": "query",
            "description": "Parameter whether or not auth was posted through add account action",
            "default": false,
            "x-nullable": false
          },
          {
            "type": "string",
            "name": "loginPurpose",
            "in": "query",
            "description": "Parameter set secret purpose",
            "x-schema": {
              "$ref": "#/definitions/LoginPurpose"
            },
            "default": "Login",
            "x-nullable": false,
            "enum": [
              "Login",
              "SetSecret"
            ]
          }
        ],
        "responses": {
          "201": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/AuthImapSmtp"
            }
          },
          "400": {
            "x-nullable": false,
            "description": "Bad request. Check fields message and error code from response body for additional information.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "401": {
            "x-nullable": false,
            "description": "Unauthorized request. Check fields message and error code from response body for additional information.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "429": {
            "x-nullable": false,
            "description": "Too many requests. Check response header Retry-After indicating how long to wait before making a new request.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          }
        },
        "security": [
          {
            "access_token": []
          }
        ]
      }
    },
    "/api/v1/auth/test": {
      "post": {
        "tags": [
          "Auth"
        ],
        "summary": "Send authorization request for test account.",
        "operationId": "Auth_CreateTestAuth",
        "consumes": [
          "application/json",
          "application/*+json"
        ],
        "parameters": [
          {
            "name": "authTest",
            "in": "body",
            "required": true,
            "description": "Test authorization",
            "schema": {
              "$ref": "#/definitions/AuthTest"
            },
            "x-nullable": false
          },
          {
            "type": "boolean",
            "name": "isAddAccount",
            "in": "query",
            "description": "Parameter whether or not auth was posted through add account action",
            "default": false,
            "x-nullable": false
          }
        ],
        "responses": {
          "201": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/AuthTest"
            }
          },
          "400": {
            "x-nullable": false,
            "description": "Bad request. Check fields message and error code from response body for additional information.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "401": {
            "x-nullable": false,
            "description": "Unauthorized request. Check fields message and error code from response body for additional information.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "429": {
            "x-nullable": false,
            "description": "Too many requests. Check response header Retry-After indicating how long to wait before making a new request.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          }
        },
        "security": [
          {
            "access_token": []
          }
        ]
      }
    },
    "/api/v1/auth/integration": {
      "post": {
        "tags": [
          "Auth"
        ],
        "summary": "Send authorization request for integration account.",
        "operationId": "Auth_CreateIntegrationAuth",
        "consumes": [
          "application/json",
          "application/*+json"
        ],
        "parameters": [
          {
            "name": "authIntegration",
            "in": "body",
            "required": true,
            "description": "Integration authorization",
            "schema": {
              "$ref": "#/definitions/AuthIntegration"
            },
            "x-nullable": false
          }
        ],
        "responses": {
          "201": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/AuthIntegration"
            }
          },
          "400": {
            "x-nullable": false,
            "description": "Bad request. Check fields message and error code from response body for additional information.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "401": {
            "x-nullable": false,
            "description": "Unauthorized request. Check fields message and error code from response body for additional information.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "429": {
            "x-nullable": false,
            "description": "Too many requests. Check response header Retry-After indicating how long to wait before making a new request.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          }
        },
        "security": [
          {
            "access_token": []
          }
        ]
      }
    },
    "/api/v1/auth/remoteimap": {
      "post": {
        "tags": [
          "Auth"
        ],
        "summary": "Send authorization request for remote imap account.",
        "operationId": "Auth_CreateRemoteImapAuth",
        "consumes": [
          "application/json",
          "application/*+json"
        ],
        "parameters": [
          {
            "name": "authRemoteImap",
            "in": "body",
            "required": true,
            "description": "Remote Imap authorization",
            "schema": {
              "$ref": "#/definitions/AuthRemoteImap"
            },
            "x-nullable": false
          },
          {
            "type": "boolean",
            "name": "isAddAccount",
            "in": "query",
            "description": "Parameter whether or not auth was posted through add account action",
            "default": false,
            "x-nullable": false
          }
        ],
        "responses": {
          "201": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/AuthRemoteImap"
            }
          },
          "400": {
            "x-nullable": false,
            "description": "Bad request. Check fields message and error code from response body for additional information.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "401": {
            "x-nullable": false,
            "description": "Unauthorized request. Check fields message and error code from response body for additional information.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "429": {
            "x-nullable": false,
            "description": "Too many requests. Check response header Retry-After indicating how long to wait before making a new request.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          }
        },
        "security": [
          {
            "access_token": []
          }
        ]
      }
    },
    "/api/v1/auth/password": {
      "post": {
        "tags": [
          "Auth"
        ],
        "summary": "Send authorization request for integration account.",
        "operationId": "Auth_CreatePasswordAuth",
        "consumes": [
          "application/json",
          "application/*+json"
        ],
        "parameters": [
          {
            "name": "authPassword",
            "in": "body",
            "required": true,
            "description": "Integration authorization",
            "schema": {
              "$ref": "#/definitions/AuthPassword"
            },
            "x-nullable": false
          },
          {
            "type": "boolean",
            "name": "isAddAccount",
            "in": "query",
            "description": "Parameter whether or not auth was posted through add account action",
            "default": false,
            "x-nullable": false
          },
          {
            "type": "string",
            "name": "loginPurpose",
            "in": "query",
            "description": "login purpose enum",
            "x-schema": {
              "$ref": "#/definitions/LoginPurpose"
            },
            "default": "Login",
            "x-nullable": false,
            "enum": [
              "Login",
              "SetSecret"
            ]
          }
        ],
        "responses": {
          "201": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/AuthPassword"
            }
          },
          "400": {
            "x-nullable": false,
            "description": "Bad request. Check fields message and error code from response body for additional information.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "401": {
            "x-nullable": false,
            "description": "Unauthorized request. Check fields message and error code from response body for additional information.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "429": {
            "x-nullable": false,
            "description": "Too many requests. Check response header Retry-After indicating how long to wait before making a new request.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          }
        },
        "security": [
          {
            "access_token": []
          }
        ]
      }
    },
    "/api/v1/auth/verify": {
      "post": {
        "tags": [
          "Auth"
        ],
        "summary": "Verify email address.",
        "operationId": "Auth_VerifyEmailAddress",
        "parameters": [
          {
            "type": "string",
            "name": "emailAddress",
            "in": "query",
            "description": "Email address to verify",
            "x-nullable": true
          },
          {
            "type": "string",
            "name": "verificationKey",
            "in": "query",
            "description": "Verification key",
            "x-nullable": true
          },
          {
            "type": "string",
            "name": "purpose",
            "in": "query",
            "description": "Verification purpose",
            "x-nullable": true
          }
        ],
        "responses": {
          "200": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/AuthVerifyResponse"
            }
          },
          "400": {
            "x-nullable": false,
            "description": "Bad request. Check fields message and error code from response body for additional information.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "429": {
            "x-nullable": false,
            "description": "Too many requests. Check response header Retry-After indicating how long to wait before making a new request.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          }
        },
        "security": [
          {
            "access_token": []
          }
        ]
      }
    },
    "/api/v1/auth/sendverifyemail": {
      "post": {
        "tags": [
          "Auth"
        ],
        "summary": "Verify email address.",
        "operationId": "Auth_SendVerifyEmailAddress",
        "parameters": [
          {
            "type": "string",
            "name": "emailAddress",
            "in": "query",
            "description": "Email address to verify",
            "x-nullable": true
          },
          {
            "type": "string",
            "name": "purpose",
            "in": "query",
            "description": "Verification purpose",
            "x-nullable": true
          }
        ],
        "responses": {
          "200": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "type": "boolean"
            }
          },
          "400": {
            "x-nullable": false,
            "description": "Bad request. Check fields message and error code from response body for additional information.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "429": {
            "x-nullable": false,
            "description": "Too many requests. Check response header Retry-After indicating how long to wait before making a new request.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          }
        },
        "security": [
          {
            "access_token": []
          }
        ]
      }
    },
    "/api/v1/availabilitystatus/list": {
      "get": {
        "tags": [
          "AvailabilityStatus"
        ],
        "summary": "Get list of availability status",
        "operationId": "AvailabilityStatus_GetAvailabilityStatusList",
        "parameters": [
          {
            "type": "string",
            "name": "workspaceId",
            "in": "query",
            "description": "optional workspace id otherwise is your default workspace",
            "x-nullable": true
          },
          {
            "type": "string",
            "name": "Loop-Workspace-Id",
            "x-originalName": "loopWorkspaceId",
            "in": "header",
            "description": "Workspace id header, used when workspaceId is not provided",
            "x-nullable": true
          },
          {
            "type": "string",
            "name": "Authorization",
            "x-originalName": "authorization",
            "in": "header",
            "description": "Authorization header",
            "x-nullable": true
          },
          {
            "type": "string",
            "name": "X-Impersonate-User",
            "x-originalName": "impersonatedUser",
            "in": "header",
            "description": "Impersonation header",
            "x-nullable": true
          }
        ],
        "responses": {
          "200": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/AvailabilityStatusList"
            }
          },
          "404": {
            "x-nullable": false,
            "description": "\nor\nRequested resource not found.",
            "schema": {},
            "x-expectedSchemas": [
              {
                "description": "",
                "schema": {
                  "$ref": "#/definitions/Void"
                }
              },
              {
                "description": "Requested resource not found.",
                "schema": {
                  "$ref": "#/definitions/Response"
                }
              }
            ]
          },
          "400": {
            "x-nullable": false,
            "description": "Bad request. Check fields message and error code from response body for additional information.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "401": {
            "x-nullable": false,
            "description": "Unauthorized request. Check fields message and error code from response body for additional information.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "403": {
            "x-nullable": false,
            "description": "Requested resource forbidden.Check fields message and error code from response body for additional information.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "429": {
            "x-nullable": false,
            "description": "Too many requests. Check response header Retry-After indicating how long to wait before making a new request.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "451": {
            "x-nullable": false,
            "description": "Unavailable because account is not verified.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          }
        },
        "security": [
          {
            "access_token": []
          }
        ]
      }
    },
    "/api/v1/availabilitystatus": {
      "post": {
        "tags": [
          "AvailabilityStatus"
        ],
        "summary": "Create availability status",
        "operationId": "AvailabilityStatus_CreateAvailabilityStatus",
        "consumes": [
          "application/json",
          "application/*+json"
        ],
        "parameters": [
          {
            "name": "availabilityStatus",
            "in": "body",
            "required": true,
            "description": "Update availability status",
            "schema": {
              "$ref": "#/definitions/AvailabilityStatus"
            },
            "x-nullable": false
          },
          {
            "type": "string",
            "name": "Authorization",
            "x-originalName": "authorization",
            "in": "header",
            "description": "Authorization header",
            "x-nullable": true
          },
          {
            "type": "string",
            "name": "X-Impersonate-User",
            "x-originalName": "impersonatedUser",
            "in": "header",
            "description": "Impersonation header",
            "x-nullable": true
          }
        ],
        "responses": {
          "200": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/AvailabilityStatus"
            }
          },
          "400": {
            "x-nullable": false,
            "description": "Bad request. Check fields message and error code from response body for additional information.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "401": {
            "x-nullable": false,
            "description": "Unauthorized request. Check fields message and error code from response body for additional information.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "403": {
            "x-nullable": false,
            "description": "Requested resource forbidden.Check fields message and error code from response body for additional information.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "404": {
            "x-nullable": false,
            "description": "Requested resource not found.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "429": {
            "x-nullable": false,
            "description": "Too many requests. Check response header Retry-After indicating how long to wait before making a new request.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "451": {
            "x-nullable": false,
            "description": "Unavailable because account is not verified.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          }
        },
        "security": [
          {
            "access_token": []
          }
        ]
      },
      "put": {
        "tags": [
          "AvailabilityStatus"
        ],
        "summary": "Update availability status",
        "operationId": "AvailabilityStatus_UpdateAvailabilityStatus",
        "consumes": [
          "application/json",
          "application/*+json"
        ],
        "parameters": [
          {
            "name": "availabilityStatus",
            "in": "body",
            "required": true,
            "description": "Update availability status",
            "schema": {
              "$ref": "#/definitions/AvailabilityStatus"
            },
            "x-nullable": false
          },
          {
            "type": "string",
            "name": "Authorization",
            "x-originalName": "authorization",
            "in": "header",
            "description": "Authorization header",
            "x-nullable": true
          },
          {
            "type": "string",
            "name": "X-Impersonate-User",
            "x-originalName": "impersonatedUser",
            "in": "header",
            "description": "Impersonation header",
            "x-nullable": true
          }
        ],
        "responses": {
          "200": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/AvailabilityStatus"
            }
          },
          "400": {
            "x-nullable": false,
            "description": "Bad request. Check fields message and error code from response body for additional information.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "401": {
            "x-nullable": false,
            "description": "Unauthorized request. Check fields message and error code from response body for additional information.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "403": {
            "x-nullable": false,
            "description": "Requested resource forbidden.Check fields message and error code from response body for additional information.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "404": {
            "x-nullable": false,
            "description": "Requested resource not found.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "429": {
            "x-nullable": false,
            "description": "Too many requests. Check response header Retry-After indicating how long to wait before making a new request.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "451": {
            "x-nullable": false,
            "description": "Unavailable because account is not verified.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          }
        },
        "security": [
          {
            "access_token": []
          }
        ]
      },
      "get": {
        "tags": [
          "AvailabilityStatus"
        ],
        "summary": "Get availability status",
        "operationId": "AvailabilityStatus_GetAvailabilityStatus",
        "parameters": [
          {
            "type": "string",
            "name": "id",
            "in": "query",
            "x-nullable": true
          },
          {
            "type": "string",
            "name": "Authorization",
            "x-originalName": "authorization",
            "in": "header",
            "description": "Authorization header",
            "x-nullable": true
          },
          {
            "type": "string",
            "name": "X-Impersonate-User",
            "x-originalName": "impersonatedUser",
            "in": "header",
            "description": "Impersonation header",
            "x-nullable": true
          }
        ],
        "responses": {
          "200": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/AvailabilityStatus"
            }
          },
          "400": {
            "x-nullable": false,
            "description": "Bad request. Check fields message and error code from response body for additional information.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "401": {
            "x-nullable": false,
            "description": "Unauthorized request. Check fields message and error code from response body for additional information.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "403": {
            "x-nullable": false,
            "description": "Requested resource forbidden.Check fields message and error code from response body for additional information.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "404": {
            "x-nullable": false,
            "description": "Requested resource not found.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "429": {
            "x-nullable": false,
            "description": "Too many requests. Check response header Retry-After indicating how long to wait before making a new request.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "451": {
            "x-nullable": false,
            "description": "Unavailable because account is not verified.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          }
        },
        "security": [
          {
            "access_token": []
          }
        ]
      }
    },
    "/api/v1/availabilitystatus/{availabilityStatusId}": {
      "delete": {
        "tags": [
          "AvailabilityStatus"
        ],
        "summary": "Delete availability status",
        "operationId": "AvailabilityStatus_DeleteAvailabilityStatus",
        "parameters": [
          {
            "type": "string",
            "name": "availabilityStatusId",
            "in": "path",
            "required": true,
            "x-nullable": false
          },
          {
            "type": "string",
            "name": "Authorization",
            "x-originalName": "authorization",
            "in": "header",
            "description": "Authorization header",
            "x-nullable": true
          },
          {
            "type": "string",
            "name": "X-Impersonate-User",
            "x-originalName": "impersonatedUser",
            "in": "header",
            "description": "Impersonation header",
            "x-nullable": true
          }
        ],
        "responses": {
          "200": {
            "description": ""
          },
          "400": {
            "x-nullable": false,
            "description": "Bad request. Check fields message and error code from response body for additional information.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "401": {
            "x-nullable": false,
            "description": "Unauthorized request. Check fields message and error code from response body for additional information.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "403": {
            "x-nullable": false,
            "description": "Requested resource forbidden.Check fields message and error code from response body for additional information.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "404": {
            "x-nullable": false,
            "description": "Requested resource not found.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "429": {
            "x-nullable": false,
            "description": "Too many requests. Check response header Retry-After indicating how long to wait before making a new request.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "451": {
            "x-nullable": false,
            "description": "Unavailable because account is not verified.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          }
        },
        "security": [
          {
            "access_token": []
          }
        ]
      }
    },
    "/api/v1/badgecount/list": {
      "options": {
        "tags": [
          "BadgeCount"
        ],
        "summary": "Get options for BadgeCountList",
        "operationId": "BadgeCount_GetSearchOptions",
        "responses": {
          "200": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/OptionsSearch"
            }
          }
        },
        "security": [
          {
            "access_token": []
          }
        ]
      },
      "post": {
        "tags": [
          "BadgeCount"
        ],
        "summary": "Get BadgeCount for list.",
        "operationId": "BadgeCount_GetList",
        "consumes": [
          "application/json",
          "application/*+json"
        ],
        "parameters": [
          {
            "name": "contexts",
            "in": "body",
            "description": "Contexts",
            "schema": {
              "type": "array",
              "items": {
                "$ref": "#/definitions/ShowInViewObject"
              }
            },
            "x-nullable": false
          },
          {
            "type": "string",
            "name": "Authorization",
            "x-originalName": "authorization",
            "in": "header",
            "description": "Authorization header.",
            "x-nullable": true
          },
          {
            "type": "string",
            "name": "X-Impersonate-User",
            "x-originalName": "impersonatedUser",
            "in": "header",
            "description": "Impersonation header.",
            "x-nullable": true
          }
        ],
        "responses": {
          "200": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ListOfResourcesOfBadgeCount"
            }
          },
          "400": {
            "x-nullable": false,
            "description": "Bad request. Check fields message and error code from response body for additional information.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "401": {
            "x-nullable": false,
            "description": "Unauthorized request. Check fields message and error code from response body for additional information.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "429": {
            "x-nullable": false,
            "description": "Too many requests. Check response header Retry-After indicating how long to wait before making a new request.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "451": {
            "x-nullable": false,
            "description": "Unavailable because account is not verified.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          }
        },
        "security": [
          {
            "access_token": []
          }
        ]
      }
    },
    "/api/v1/calendar": {
      "get": {
        "tags": [
          "Calendar"
        ],
        "summary": "Get appointment by id.",
        "operationId": "Calendar_GetAppointmentEvent",
        "parameters": [
          {
            "type": "string",
            "name": "id",
            "in": "query",
            "description": "Get appointments for specified context.",
            "x-nullable": true
          },
          {
            "type": "string",
            "name": "Authorization",
            "x-originalName": "authorization",
            "in": "header",
            "description": "Authorization header.",
            "x-nullable": true
          },
          {
            "type": "string",
            "name": "X-Impersonate-User",
            "x-originalName": "impersonatedUser",
            "in": "header",
            "description": "Impersonation header.",
            "x-nullable": true
          }
        ],
        "responses": {
          "200": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/AppointmentEvent"
            }
          },
          "400": {
            "x-nullable": false,
            "description": "Bad request. Check fields message and error code from response body for additional information.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "401": {
            "x-nullable": false,
            "description": "Unauthorized request. Check fields message and error code from response body for additional information.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "429": {
            "x-nullable": false,
            "description": "Too many requests. Check response header Retry-After indicating how long to wait before making a new request.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "451": {
            "x-nullable": false,
            "description": "Unavailable because account is not verified.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          }
        },
        "security": [
          {
            "access_token": []
          }
        ]
      },
      "post": {
        "tags": [
          "Calendar"
        ],
        "summary": "Create appointment.\nInclude self context in contextList by adding \"me\". This also works with allTeamContexts option.\nLeaving contextList and allTeamContexts empty will fetch own context.",
        "operationId": "Calendar_CreateAppointment",
        "consumes": [
          "application/json",
          "application/*+json"
        ],
        "parameters": [
          {
            "name": "appointment",
            "in": "body",
            "required": true,
            "description": "appointment create body",
            "schema": {
              "$ref": "#/definitions/Appointment"
            },
            "x-nullable": false
          },
          {
            "type": "string",
            "name": "calendarInstanceId",
            "in": "query",
            "description": "Get appointments for specified calendar instance id.",
            "x-nullable": true
          },
          {
            "type": "boolean",
            "name": "sendNotification",
            "in": "query",
            "description": "sending mail notifications",
            "default": true,
            "x-nullable": false
          },
          {
            "type": "string",
            "name": "Authorization",
            "x-originalName": "authorization",
            "in": "header",
            "description": "Authorization header.",
            "x-nullable": true
          },
          {
            "type": "string",
            "name": "X-Impersonate-User",
            "x-originalName": "impersonatedUser",
            "in": "header",
            "description": "Impersonation header.",
            "x-nullable": true
          }
        ],
        "responses": {
          "200": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/AppointmentEvent"
            }
          },
          "400": {
            "x-nullable": false,
            "description": "Bad request. Check fields message and error code from response body for additional information.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "401": {
            "x-nullable": false,
            "description": "Unauthorized request. Check fields message and error code from response body for additional information.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "429": {
            "x-nullable": false,
            "description": "Too many requests. Check response header Retry-After indicating how long to wait before making a new request.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "451": {
            "x-nullable": false,
            "description": "Unavailable because account is not verified.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          }
        },
        "security": [
          {
            "access_token": []
          }
        ]
      },
      "put": {
        "tags": [
          "Calendar"
        ],
        "summary": "Update appointment.",
        "operationId": "Calendar_UpdateAppointment",
        "consumes": [
          "application/json",
          "application/*+json"
        ],
        "parameters": [
          {
            "name": "appointment",
            "in": "body",
            "required": true,
            "description": "appointment create body",
            "schema": {
              "$ref": "#/definitions/Appointment"
            },
            "x-nullable": false
          },
          {
            "type": "boolean",
            "name": "sendNotification",
            "in": "query",
            "description": "send notification",
            "default": true,
            "x-nullable": false
          },
          {
            "type": "string",
            "name": "Authorization",
            "x-originalName": "authorization",
            "in": "header",
            "description": "Authorization header.",
            "x-nullable": true
          },
          {
            "type": "string",
            "name": "X-Impersonate-User",
            "x-originalName": "impersonatedUser",
            "in": "header",
            "description": "Impersonation header.",
            "x-nullable": true
          }
        ],
        "responses": {
          "200": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/AppointmentEvent"
            }
          },
          "400": {
            "x-nullable": false,
            "description": "Bad request. Check fields message and error code from response body for additional information.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "401": {
            "x-nullable": false,
            "description": "Unauthorized request. Check fields message and error code from response body for additional information.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "429": {
            "x-nullable": false,
            "description": "Too many requests. Check response header Retry-After indicating how long to wait before making a new request.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "451": {
            "x-nullable": false,
            "description": "Unavailable because account is not verified.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          }
        },
        "security": [
          {
            "access_token": []
          }
        ]
      },
      "delete": {
        "tags": [
          "Calendar"
        ],
        "summary": "Delete appointment.",
        "operationId": "Calendar_CancelAppointment",
        "parameters": [
          {
            "type": "string",
            "name": "id",
            "in": "query",
            "description": "appointment id",
            "x-nullable": true
          },
          {
            "type": "string",
            "name": "customMessage",
            "in": "query",
            "description": "ccancel message",
            "x-nullable": true
          },
          {
            "type": "boolean",
            "name": "sendNotification",
            "in": "query",
            "description": "send notification",
            "default": true,
            "x-nullable": false
          },
          {
            "type": "boolean",
            "name": "doHardDelete",
            "in": "query",
            "description": "delete event",
            "default": true,
            "x-nullable": false
          },
          {
            "type": "string",
            "name": "Authorization",
            "x-originalName": "authorization",
            "in": "header",
            "description": "Authorization header.",
            "x-nullable": true
          },
          {
            "type": "string",
            "name": "X-Impersonate-User",
            "x-originalName": "impersonatedUser",
            "in": "header",
            "description": "Impersonation header.",
            "x-nullable": true
          }
        ],
        "responses": {
          "200": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/Appointment"
            }
          },
          "400": {
            "x-nullable": false,
            "description": "Bad request. Check fields message and error code from response body for additional information.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "401": {
            "x-nullable": false,
            "description": "Unauthorized request. Check fields message and error code from response body for additional information.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "429": {
            "x-nullable": false,
            "description": "Too many requests. Check response header Retry-After indicating how long to wait before making a new request.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "451": {
            "x-nullable": false,
            "description": "Unavailable because account is not verified.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          }
        },
        "security": [
          {
            "access_token": []
          }
        ]
      }
    },
    "/api/v1/calendar/getbyconversationid": {
      "get": {
        "tags": [
          "Calendar"
        ],
        "summary": "Get appointment by id.",
        "operationId": "Calendar_GetAppointmentEventByConversationId",
        "parameters": [
          {
            "type": "string",
            "name": "conversationId",
            "in": "query",
            "description": "Get appointments by converstation id.",
            "x-nullable": true
          },
          {
            "type": "string",
            "name": "Authorization",
            "x-originalName": "authorization",
            "in": "header",
            "description": "Authorization header.",
            "x-nullable": true
          },
          {
            "type": "string",
            "name": "X-Impersonate-User",
            "x-originalName": "impersonatedUser",
            "in": "header",
            "description": "Impersonation header.",
            "x-nullable": true
          }
        ],
        "responses": {
          "200": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/AppointmentEvent"
            }
          },
          "400": {
            "x-nullable": false,
            "description": "Bad request. Check fields message and error code from response body for additional information.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "401": {
            "x-nullable": false,
            "description": "Unauthorized request. Check fields message and error code from response body for additional information.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "429": {
            "x-nullable": false,
            "description": "Too many requests. Check response header Retry-After indicating how long to wait before making a new request.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "451": {
            "x-nullable": false,
            "description": "Unavailable because account is not verified.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          }
        },
        "security": [
          {
            "access_token": []
          }
        ]
      }
    },
    "/api/v1/calendar/respond": {
      "put": {
        "tags": [
          "Calendar"
        ],
        "summary": "Delete appointment.",
        "operationId": "Calendar_PerformActionAppointment",
        "consumes": [
          "application/json",
          "application/*+json"
        ],
        "parameters": [
          {
            "type": "string",
            "name": "id",
            "in": "query",
            "description": "appointment id",
            "x-nullable": true
          },
          {
            "name": "respondRequest",
            "in": "body",
            "required": true,
            "description": "respond request",
            "schema": {
              "$ref": "#/definitions/AppointmentRespondRequest"
            },
            "x-nullable": false
          },
          {
            "type": "string",
            "name": "Authorization",
            "x-originalName": "authorization",
            "in": "header",
            "description": "Authorization header.",
            "x-nullable": true
          },
          {
            "type": "string",
            "name": "X-Impersonate-User",
            "x-originalName": "impersonatedUser",
            "in": "header",
            "description": "Impersonation header.",
            "x-nullable": true
          }
        ],
        "responses": {
          "200": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/AppointmentEvent"
            }
          },
          "400": {
            "x-nullable": false,
            "description": "Bad request. Check fields message and error code from response body for additional information.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "401": {
            "x-nullable": false,
            "description": "Unauthorized request. Check fields message and error code from response body for additional information.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "429": {
            "x-nullable": false,
            "description": "Too many requests. Check response header Retry-After indicating how long to wait before making a new request.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "451": {
            "x-nullable": false,
            "description": "Unavailable because account is not verified.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          }
        },
        "security": [
          {
            "access_token": []
          }
        ]
      }
    },
    "/api/v1/calendar/instances": {
      "get": {
        "tags": [
          "Calendar"
        ],
        "summary": "Get appointment sorted by date time (agenda view).\nInclude self context in contextList by adding \"me\". This also works with allTeamContexts option.\nLeaving contextList and allTeamContexts empty will fetch own context.",
        "operationId": "Calendar_GetCalendarInstances",
        "parameters": [
          {
            "type": "array",
            "name": "contextIds",
            "in": "query",
            "description": "Get appointments for specified context.",
            "collectionFormat": "multi",
            "x-nullable": true,
            "items": {
              "type": "string"
            }
          },
          {
            "type": "string",
            "name": "Authorization",
            "x-originalName": "authorization",
            "in": "header",
            "description": "Authorization header.",
            "x-nullable": true
          },
          {
            "type": "string",
            "name": "X-Impersonate-User",
            "x-originalName": "impersonatedUser",
            "in": "header",
            "description": "Impersonation header.",
            "x-nullable": true
          }
        ],
        "responses": {
          "200": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ListOfResourcesOfCalendarInstanceResponse"
            }
          },
          "400": {
            "x-nullable": false,
            "description": "Bad request. Check fields message and error code from response body for additional information.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "401": {
            "x-nullable": false,
            "description": "Unauthorized request. Check fields message and error code from response body for additional information.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "429": {
            "x-nullable": false,
            "description": "Too many requests. Check response header Retry-After indicating how long to wait before making a new request.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "451": {
            "x-nullable": false,
            "description": "Unavailable because account is not verified.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          }
        },
        "security": [
          {
            "access_token": []
          }
        ]
      }
    },
    "/api/v1/calendar/instancebyid": {
      "get": {
        "tags": [
          "Calendar"
        ],
        "summary": "Get appointment sorted by date time (agenda view).\nInclude self context in contextList by adding \"me\". This also works with allTeamContexts option.\nLeaving contextList and allTeamContexts empty will fetch own context.",
        "operationId": "Calendar_GetCalendarInstancesById",
        "parameters": [
          {
            "type": "array",
            "name": "calendarInstanceIds",
            "in": "query",
            "description": "Get appointments for specified context.",
            "collectionFormat": "multi",
            "x-nullable": true,
            "items": {
              "type": "string"
            }
          },
          {
            "type": "string",
            "name": "Authorization",
            "x-originalName": "authorization",
            "in": "header",
            "description": "Authorization header.",
            "x-nullable": true
          },
          {
            "type": "string",
            "name": "X-Impersonate-User",
            "x-originalName": "impersonatedUser",
            "in": "header",
            "description": "Impersonation header.",
            "x-nullable": true
          }
        ],
        "responses": {
          "200": {
            "x-nullable": false,
            "description": "",
            "schema": {
              "$ref": "#/definitions/ListOfResourcesOfCalendarInstanceResponse"
            }
          },
          "400": {
            "x-nullable": false,
            "description": "Bad request. Check fields message and error code from response body for additional information.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "401": {
            "x-nullable": false,
            "description": "Unauthorized request. Check fields message and error code from response body for additional information.",
            "schema": {
              "$ref": "#/definitions/Response"
            }
          },
          "429": {
            "x-nullable": false,
            "description": "Too many requests. Check response header Retry-After indicating how long to wait before making a new request.",
            "schema": {
[...]
